define([], function() {
	'use strict';
	var module = {};

	module.format = function(str) {
		var i;
		for (i = 1; i < arguments.length; i++) {
			str = str.replace('{' + (i - 1) + '}', arguments[i]);
		}
		return str;
	};

	module.pad = function(number, length) {
		var str = '' + number;
		while (str.length < length) {
			str = '0' + str;
		}
		return str;
	};
	
	module.trimr = function(str, ch) {
		for (var i = str.length - 1; i >= 0; i--) {
			if (ch != str.charAt(i)) {
				str = str.substring(0, i + 1);
				break;
			}
		}
		return str;
	};


	return module;
});
